package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.graphics.Color;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.NumberPicker;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

public class CounterChoice extends AppCompatActivity {

    DBHelper myDbHelper;
    Spinner counterChoice;
    int counter;
    Button safe;
    NumberPicker n1;
    NumberPicker n2;
    NumberPicker n3;
    NumberPicker n4;
    TextView d;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_counter_choice);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        counterChoice = (Spinner) findViewById(R.id.counterChoiceSpinner);
        spinnerSet();
        safe = (Button) findViewById(R.id.safeExerciseCounterButton);
        safe.setOnClickListener(safeListener);
        n1 = (NumberPicker) findViewById(R.id.n1);
        n2 = (NumberPicker) findViewById(R.id.n2);
        n3 = (NumberPicker) findViewById(R.id.n3);
        n4 = (NumberPicker) findViewById(R.id.n4);
        n1.setMaxValue(9);
        n1.setMinValue(0);
        n1.setWrapSelectorWheel(false);
        n2.setMaxValue(9);
        n2.setMinValue(0);
        n2.setWrapSelectorWheel(false);
        n3.setMaxValue(9);
        n3.setMinValue(0);
        n3.setWrapSelectorWheel(false);
        n4.setMaxValue(9);
        n4.setMinValue(0);
        n4.setWrapSelectorWheel(false);
        d = (TextView) findViewById(R.id.textView2);

    }

    public void spinnerSet() {
        String[] items = new String[]{"Polohové", "Dotekové", "Časové"};
        ArrayAdapter<String> adapter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_dropdown_item, items);
        counterChoice.setAdapter(adapter);
        counterChoice.setOnItemSelectedListener(spinnerListener);
    }


    AdapterView.OnItemSelectedListener spinnerListener = new AdapterView.OnItemSelectedListener() {
        @Override
        public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
            ((TextView) parent.getChildAt(0)).setTextColor(Color.WHITE);
            switch (position) {
                case 0:
                    counter = 1;
                    n1.setEnabled(false);
                    n1.setValue(0);
                    n1.setVisibility(View.INVISIBLE);
                    d.setVisibility(View.INVISIBLE);
                    break;
                case 1:
                    counter = 2;
                    n1.setEnabled(false);
                    n1.setValue(0);
                    n1.setVisibility(View.INVISIBLE);
                    d.setVisibility(View.INVISIBLE);
                    break;
                case 2:
                    counter = 3;
                    n1.setEnabled(true);
                    n1.setVisibility(View.VISIBLE);
                    d.setVisibility(View.VISIBLE);
                    break;

            }
        }

        @Override
        public void onNothingSelected(AdapterView<?> parent) {
            counter = 0;
        }
    };

    View.OnClickListener safeListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {

            int value = 5;
            if (counter == 3){
                value = (n1.getValue()*10+n2.getValue())*60+(n3.getValue()*10+n4.getValue());
            }
            else {
                value = (n1.getValue()*1000+n2.getValue()*100+n3.getValue()*10+n4.getValue());
            }
            Bundle b = getIntent().getExtras();
            myDbHelper = new DBHelper(getApplicationContext());
            myDbHelper.addPlanExercise(b.getInt("id_plan"), b.getInt("exID"), counter, value, 0);
            Intent returnIntent = new Intent();
            returnIntent.putExtra("result","close");
            setResult(Activity.RESULT_OK,returnIntent);
            finish();
        }
    };
}
