package com.example.andrew.bakalarkabeta;

/**
 * Created by Andrew on 30.1.2017.
 */
import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

import com.example.andrew.bakalarkabeta.model.Exercise;
import com.example.andrew.bakalarkabeta.model.Muscle;
import com.example.andrew.bakalarkabeta.model.PlanExercise;
import com.example.andrew.bakalarkabeta.model.PlanModel;
import com.readystatesoftware.sqliteasset.SQLiteAssetHelper;

import java.util.ArrayList;

/**
 * Created by Andrew on 29.01.2017.
 */
public class DBHelper extends SQLiteAssetHelper{

    private static final int DATABASE_VERSION = 1;
    public static final String DATABASE_NAME = "data.db";

    private SQLiteDatabase database;


    public DBHelper(Context context) {
        super(context, DATABASE_NAME, null, DATABASE_VERSION);
    }

    /*Připraveno pro výpis všech cviků*/
    public ArrayList<Exercise> getAllExercise(String choice, String table) {
        database = this.getReadableDatabase();
        ArrayList<Exercise> exercises= new ArrayList<Exercise>();

        Cursor cursor = database.rawQuery("SELECT * FROM exercise", null);

        Exercise exercise;
        if (cursor.getCount() > 0) {
            for (int i = 0; i < cursor.getCount(); i++) {
                cursor.moveToNext();

                exercise = new Exercise();
                exercise.setId(cursor.getInt(0));
                exercise.setName(cursor.getString(1));
                exercise.setDescription(cursor.getString(2));
                exercise.setMachine(cursor.getString(3));
                exercise.setImage(cursor.getString(4));

                exercises.add(exercise);
            }
        }
        cursor.close();
        database.close();
        return exercises;
    }

    public ArrayList<PlanModel> getListPlans(String select) {
        database = this.getReadableDatabase();
        ArrayList<PlanModel> plans= new ArrayList<PlanModel>();

        Cursor cursor = database.rawQuery(select, null);

        PlanModel plan;
        if (cursor.getCount() > 0) {
            for (int i = 0; i < cursor.getCount(); i++) {
                cursor.moveToNext();

                plan = new PlanModel();
                plan.setId(cursor.getInt(0));
                plan.setName(cursor.getString(1));

                plans.add(plan);
            }
        }
        cursor.close();
        database.close();
        return plans;
    }

    public ArrayList<PlanExercise> getExerciseListPlans(String select) {
        database = this.getReadableDatabase();
        ArrayList<PlanExercise> plansExercises= new ArrayList<PlanExercise>();

        Cursor cursor = database.rawQuery(select, null);

        PlanExercise exercisePlan;
        if (cursor.getCount() > 0) {
            for (int i = 0; i < cursor.getCount(); i++) {
                cursor.moveToNext();

                exercisePlan = new PlanExercise();
                exercisePlan.setId(cursor.getInt(0));
                exercisePlan.setId_plan(cursor.getInt(1));
                exercisePlan.setId_exercise(cursor.getInt(2));
                exercisePlan.setCounter(cursor.getInt(3));
                exercisePlan.setCounter_value(cursor.getInt(4));
                exercisePlan.setPause_value(cursor.getInt(5));
                exercisePlan.setName(cursor.getString(6));

                plansExercises.add(exercisePlan);
            }
        }
        cursor.close();
        database.close();
        return plansExercises;
    }

    public void addPlan(String name){
        database = this.getWritableDatabase();
        ContentValues cv = new ContentValues();
        cv.put("name",name);
        database.insert("plans","id",cv);
        database.close();
    }

    public void addPlanExercise(int id_plan, int id_ex, int counter, int counter_value, int pause_value){
        database = this.getWritableDatabase();
        ContentValues cv = new ContentValues();
        cv.put("id_plan",id_plan);
        cv.put("id_exercise",id_ex);
        cv.put("counter",counter);
        cv.put("counter_value",counter_value);
        cv.put("pause_value",pause_value);
        database.insert("plan_list","id",cv);
        database.close();
    }

    public void deletePlan(int id){
        database = this.getWritableDatabase();
        database.execSQL("DELETE FROM plans WHERE id="+id);
        database.execSQL("UPDATE plans set id = (id - 1) WHERE id > "+id);
        database.execSQL("UPDATE plan_list set id_plan = (id_plan - 1) WHERE id_plan > "+id);
        database.close();
    }

    public void deleteExerciseFromPlan(int id){
        database = this.getWritableDatabase();
        database.execSQL("DELETE FROM plan_list WHERE id="+id);
        database.execSQL("UPDATE plan_list set id = (id - 1) WHERE id > "+id);
        database.close();
    }

    public ArrayList<Exercise> getExercises(String select) {
        database = this.getReadableDatabase();
        ArrayList<Exercise> exercises= new ArrayList<Exercise>();

        Cursor cursor = database.rawQuery(select, null);

        Exercise exercise;
        if (cursor.getCount() > 0) {
            for (int i = 0; i < cursor.getCount(); i++) {
                cursor.moveToNext();

                exercise = new Exercise();
                exercise.setId(cursor.getInt(0));
                exercise.setName(cursor.getString(1));
                exercise.setDescription(cursor.getString(2));
                exercise.setMachine(cursor.getString(3));
                exercise.setImage(cursor.getString(4));

                exercises.add(exercise);
            }
        }
        cursor.close();
        database.close();
        return exercises;
    }

    public ArrayList<String> getMuscleList() {
        database = this.getReadableDatabase();
        ArrayList<String> muscles = new ArrayList<String>();

        Cursor cursor = database.rawQuery("SELECT DISTINCT name FROM muscle_part ORDER BY name ASC", null);

        if (cursor.getCount() > 0) {
            for (int i = 0; i < cursor.getCount(); i++) {
                cursor.moveToNext();
                muscles.add(cursor.getString(0));
            }
        }
        cursor.close();
        database.close();
        return muscles;
    }

    public ArrayList<String> getToolsList() {
        database = this.getReadableDatabase();
        ArrayList<String> tools = new ArrayList<String>();

        Cursor cursor = database.rawQuery("SELECT DISTINCT work_station FROM exercise ORDER BY work_station ASC", null);
        if (cursor.getCount() > 0) {
            for (int i = 0; i < cursor.getCount(); i++) {
                cursor.moveToNext();
                tools.add(cursor.getString(0));
            }
        }
        cursor.close();
        database.close();
        return tools;
    }

    public void delete(int id) {
        database = this.getWritableDatabase();
        database.execSQL("DELETE FROM my WHERE ad="+id);
        database.close();
    }

    public int getDefaultPauseTime() {
        database = this.getWritableDatabase();
        int time = 5;
        Cursor cursor = database.rawQuery("SELECT pause_value FROM settings WHERE id=1", null);
        cursor.moveToNext();
        time = cursor.getInt(0);
        cursor.close();
        database.close();
        return time;
    }

    public void setDefaultPauseTime(int time){
        database = this.getWritableDatabase();
        database.execSQL("UPDATE settings set pause_value = "+time+" WHERE id = 1 ");
        database.close();
    }

    public boolean getSound() {
        database = this.getWritableDatabase();
        int sound = 0;
        Cursor cursor = database.rawQuery("SELECT sound FROM settings WHERE id=1", null);
        cursor.moveToNext();
        sound = cursor.getInt(0);
        cursor.close();
        database.close();
        if (sound == 1) return true;
        else return false;
    }

    public void setSound(int sound){
        database = this.getWritableDatabase();
        database.execSQL("UPDATE settings set sound = "+sound+" WHERE id = 1 ");
        database.close();
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

    }

}
