package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.NumberPicker;

public class PauseSetup extends AppCompatActivity {

    NumberPicker m1;
    NumberPicker m2;
    NumberPicker s1;
    NumberPicker s2;
    Button add;
    DBHelper myDbHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_pause_setup);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init(){
        myDbHelper = new DBHelper(this);
        int defaultTime = myDbHelper.getDefaultPauseTime();
        int dm1 = 0;
        int dm2 = 0;
        int ds1 = 0;
        int ds2 = 0;
        if(defaultTime != 0) {
            dm1 = (defaultTime/60)/10;
            dm2 = (defaultTime/60)-(dm1*10);
            ds1 = (defaultTime-(dm1*10+dm2)*60)/10;
            ds2 = (defaultTime-(dm1*10+dm2)*60)-(ds1*10);
        }

        m1 = (NumberPicker) findViewById(R.id.mp1);
        m2 = (NumberPicker) findViewById(R.id.mp2);
        s1 = (NumberPicker) findViewById(R.id.sp1);
        s2 = (NumberPicker) findViewById(R.id.sp2);
        add = (Button) findViewById(R.id.safePauseButton);
        add.setOnClickListener(addListener);
        m1.setMaxValue(5);
        m1.setMinValue(0);
        m1.setWrapSelectorWheel(false);
        m1.setValue(dm1);
        m2.setMaxValue(9);
        m2.setMinValue(0);
        m2.setWrapSelectorWheel(false);
        m2.setValue(dm2);
        s1.setMaxValue(5);
        s1.setMinValue(0);
        s1.setWrapSelectorWheel(false);
        s1.setValue(ds1);
        s2.setMaxValue(9);
        s2.setMinValue(0);
        s2.setWrapSelectorWheel(false);
        s2.setValue(ds2);
    }

    View.OnClickListener addListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            add();
            Intent returnIntent = new Intent();
            returnIntent.putExtra("result","close");
            setResult(Activity.RESULT_OK,returnIntent);
            finish();
        }
    };

    public void add() {
        Bundle b = getIntent().getExtras();
        int time = (m1.getValue()*10+m2.getValue())*60+(s1.getValue()*10+s2.getValue());
        myDbHelper = new DBHelper(this);
        myDbHelper.addPlanExercise(b.getInt("id_plan"), 0, 0, 0, time);
    }
}
