package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;

import com.example.andrew.bakalarkabeta.model.PlanExercise;

import java.util.ArrayList;

public class PlanList extends AppCompatActivity {

    ListView lv;
    ArrayList<PlanExercise> list;
    DBHelper myDbHelper;
    Button add;
    Button delete;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_plan_list);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        lv = (ListView) findViewById(R.id.exercisePlanListView);
        add = (Button) findViewById(R.id.addExPlanButton);
        delete = (Button) findViewById(R.id.deleteExPlanButton);
        add.setOnClickListener(addListener);
        delete.setOnClickListener(deleteListener);
        nactiDatabase();
        nacti();
    }

    View.OnClickListener addListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            Intent i = new Intent(PlanList.this, PlanListChoice1.class);
            i.putExtra("id_plan", b.getInt("choice", 0));
            startActivity(i);
        }
    };

    View.OnClickListener deleteListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            Intent i = new Intent(PlanList.this, DeletePlanList.class);
            i.putExtra("id_plan", b.getInt("choice", 0));
            startActivity(i);
        }
    };

    public void nactiDatabase(){
        myDbHelper = new DBHelper(this);
        Bundle b = getIntent().getExtras();
        int planId = b.getInt("choice", 0);
        list = myDbHelper.getExerciseListPlans("SELECT plan_list.id, plan_list.id_plan, plan_list.id_exercise, plan_list.counter, plan_list.counter_value, plan_list.pause_value, exercise.name FROM plan_list LEFT OUTER JOIN exercise ON exercise.id = plan_list.id_exercise WHERE plan_list.id_plan = "+planId);
    }


    public void nacti() {
        ArrayList<String> aa = new ArrayList<String>();
        int i = 0;
        while(i < list.size()){
            if (list.get(i).getCounter() == 1) {
                aa.add(list.get(i).getName()+"\n"+"Počítadlo: Polohové        Počet: "+list.get(i).getCounter_value());
            }
            if (list.get(i).getCounter() == 2) {
                aa.add(list.get(i).getName()+"\n"+"Počítadlo: Dotekové        Počet: "+list.get(i).getCounter_value());
            }
            if (list.get(i).getCounter() == 3) {
                int m = list.get(i).getCounter_value()/60;
                int s = list.get(i).getCounter_value()-m*60;
                String time = m+":"+s;
                if (s < 10) time = m+":0"+s;
                aa.add(list.get(i).getName()+"\n"+"Počítadlo: Časové           Doba: "+time);
            }
            if (list.get(i).getCounter() == 0) {
                int m = list.get(i).getPause_value()/60;
                int s = list.get(i).getPause_value()-m*60;
                String time = m+":"+s;
                if (s < 10) time = m+":0"+s;
                aa.add(list.get(i).getName()+"                              Doba: "+time);
            }
            i++;
        }
        ArrayAdapter adapter = new ArrayAdapter(this, android.R.layout.simple_list_item_1, aa);
        lv.setAdapter(adapter);

        lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

                if (list.get(position).getId_exercise() == 0){
                    int time = list.get(position).getPause_value();
                    Intent i = new Intent(PlanList.this, StartPause.class);
                    i.putExtra("time",time);
                    i.putExtra("position",position);
                    startActivityForResult(i, 1);
                }
                if (list.get(position).getId_exercise() != 0){
                    int time = list.get(position).getPause_value();
                    Intent i = new Intent(PlanList.this, StartExercise.class);
                    i.putExtra("exerciseID",list.get(position).getId_exercise());
                    i.putExtra("counter",list.get(position).getCounter());
                    i.putExtra("value",list.get(position).getCounter_value());
                    i.putExtra("position",position);
                    startActivityForResult(i, 1);
                }
            }

        });

    }

    @Override
    public void onResume()
    {  // After a pause OR at startup
        super.onResume();
        nactiDatabase();
        nacti();
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == 1) {
            if(resultCode == Activity.RESULT_OK){
                int result = data.getIntExtra("lastPosition", 0);
                if(result == list.size()-1)return;
                if (list.get(result+1).getId_exercise() == 0){
                    int time = list.get(result+1).getPause_value();
                    Intent i = new Intent(PlanList.this, StartPause.class);
                    i.putExtra("time",time);
                    i.putExtra("position",result+1);
                    startActivityForResult(i, 1);
                }
                if (list.get(result+1).getId_exercise() != 0){
                    int time = list.get(result+1).getPause_value();
                    Intent i = new Intent(PlanList.this, StartExercise.class);
                    i.putExtra("exerciseID",list.get(result+1).getId_exercise());
                    i.putExtra("counter",list.get(result+1).getCounter());
                    i.putExtra("value",list.get(result+1).getCounter_value());
                    i.putExtra("position",result+1);
                    startActivityForResult(i, 1);
                }
            }
            if (resultCode == Activity.RESULT_CANCELED) {
                //Write your code if there's no result
            }
        }
    }
}