package com.example.andrew.bakalarkabeta;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;

import com.example.andrew.bakalarkabeta.model.PlanModel;

import java.util.ArrayList;

public class Plans extends AppCompatActivity {

    ListView lv;
    ArrayList<PlanModel> list;
    DBHelper myDbHelper;
    Button add;
    Button delete;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_plans);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        lv = (ListView) findViewById(R.id.listViewPlans);
        add = (Button) findViewById(R.id.addPlanButton);
        delete = (Button) findViewById(R.id.deletePlanButton);
        add.setOnClickListener(addListener);
        delete.setOnClickListener(deleteListener);
        nactiDatabase();
        nacti();
    }

    View.OnClickListener addListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Intent i = new Intent(Plans.this, AddPlan.class);
            startActivity(i);
        }
    };

    View.OnClickListener deleteListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Intent i = new Intent(Plans.this, DeletePlans.class);
            startActivity(i);
        }
    };

    public void nactiDatabase(){
        myDbHelper = new DBHelper(this);
        list = myDbHelper.getListPlans("SELECT * FROM plans");
    }


    public void nacti() {
        ArrayList<String> aa = new ArrayList<String>();
        int i = 0;
        while(i < list.size()){

            aa.add(list.get(i).getName());
            i++;
        }
        ArrayAdapter adapter = new ArrayAdapter(this, android.R.layout.simple_list_item_1, aa);
        lv.setAdapter(adapter);

        lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

                Intent i = new Intent(Plans.this, PlanList.class);
                i.putExtra("choice",list.get(position).getId());
                startActivity(i);
            }

        });

    }

    @Override
    public void onResume()
    {  // After a pause OR at startup
        super.onResume();
        nactiDatabase();
        nacti();
    }
}
