package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.hardware.SensorManager;
import android.media.MediaPlayer;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.OrientationEventListener;
import android.widget.TextView;
import android.widget.Toast;

public class PositionCounter extends AppCompatActivity {

    int count = 0;
    OrientationEventListener myOrientationEventListener;;
    TextView counterView;
    MediaPlayer alarmBeep;
    DBHelper myDbHelper;
    boolean beep = false;
    boolean up;
    boolean down;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_position_counter);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        alarmBeep = MediaPlayer.create(this,  R.raw.beep01);
        counterView = (TextView) findViewById(R.id.counterView);

        myOrientationEventListener
                = new OrientationEventListener(this, SensorManager.SENSOR_DELAY_NORMAL){
            int c;
            Bundle b = getIntent().getExtras();
            int v = b.getInt("value");


            @Override
            public boolean canDetectOrientation() {
                return super.canDetectOrientation();
            }

            @Override
            public void onOrientationChanged(int degree) {
                if((degree >= 40 && degree <= 50) && up == true ){
                    up = false;
                    if ((v == count+3 || v == count+2 || v == count+1) && beep == false && soundCheck()) alarmBeep.start();
                    beep = true;
                    ++c;
                }
                if((degree >= 60 && degree <= 90)){
                    up = true;
                    beep = false;
                }
                if((degree >= 310 && degree <= 320) && down == true ){
                    down = false;
                    ++c;
                }
                if((degree >= 270 && degree <= 300)){
                    down = true;
                }
                counterView.setText("Počet: "+c);
                count = c;
                end();
            }};

        if (myOrientationEventListener.canDetectOrientation()){
            Toast.makeText(this, "Jde se na to!", Toast.LENGTH_LONG).show();
            myOrientationEventListener.enable();
        }
        else{

            Toast.makeText(this, "Nelze rozeznat!", Toast.LENGTH_LONG).show();
            finish();
        }
    }

    public boolean soundCheck() {
        myDbHelper = new DBHelper(this);
        return myDbHelper.getSound();
    }

    private  void end() {
        Bundle b = getIntent().getExtras();
        if (b.getInt("value") == count){
            Intent returnIntent = new Intent();
            setResult(Activity.RESULT_OK,returnIntent);
            finish();
        }
    }
}
