package com.example.andrew.bakalarkabeta;

import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.NumberPicker;
import android.widget.TextView;
import android.widget.ToggleButton;

public class Settings extends AppCompatActivity {

    DBHelper myDbHelper;
    NumberPicker m1;
    NumberPicker m2;
    NumberPicker s1;
    NumberPicker s2;
    ToggleButton tb;
    Button safe;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_settings);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        init();
    }

    public void init() {
        myDbHelper = new DBHelper(this);
        int defaultTime = myDbHelper.getDefaultPauseTime();
        int dm1 = 0;
        int dm2 = 0;
        int ds1 = 0;
        int ds2 = 0;
        if(defaultTime != 0) {
            dm1 = (defaultTime/60)/10;
            dm2 = (defaultTime/60)-(dm1*10);
            ds1 = (defaultTime-(dm1*10+dm2)*60)/10;
            ds2 = (defaultTime-(dm1*10+dm2)*60)-(ds1*10);
        }
        safe = (Button) findViewById(R.id.safePause);
        safe.setOnClickListener(set);
        tb = (ToggleButton) findViewById(R.id.soundBut);
        tb.setOnClickListener(tbClick);
        if(myDbHelper.getSound()) tb.setChecked(true);
        if(myDbHelper.getSound() == false) tb.setChecked(false);
        m1 = (NumberPicker) findViewById(R.id.dpm1);
        m2 = (NumberPicker) findViewById(R.id.dpm2);
        s1 = (NumberPicker) findViewById(R.id.dps1);
        s2 = (NumberPicker) findViewById(R.id.dps2);
        m1.setMaxValue(5);
        m1.setMinValue(0);
        m1.setWrapSelectorWheel(false);
        m1.setValue(dm1);
        m2.setMaxValue(9);
        m2.setMinValue(0);
        m2.setWrapSelectorWheel(false);
        m2.setValue(dm2);
        s1.setMaxValue(5);
        s1.setMinValue(0);
        s1.setWrapSelectorWheel(false);
        s1.setValue(ds1);
        s2.setMaxValue(9);
        s2.setMinValue(0);
        s2.setWrapSelectorWheel(false);
        s2.setValue(ds2);
    }

    View.OnClickListener tbClick = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            setupSound();
        }
    };

    View.OnClickListener set = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            setup();
        }
    };

    public void setupSound() {
        myDbHelper = new DBHelper(this);
        int sound = 0;
        if (tb.isChecked()) sound = 1;
        myDbHelper.setSound(sound);
    }

    public void setup() {
        myDbHelper = new DBHelper(this);
        int time = (m1.getValue()*10+m2.getValue())*60+(s1.getValue()*10+s2.getValue());
        myDbHelper.setDefaultPauseTime(time);
    }
}
