package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

import com.example.andrew.bakalarkabeta.model.Exercise;
import com.koushikdutta.ion.Ion;
import com.koushikdutta.ion.builder.AnimateGifMode;

import java.util.ArrayList;

public class StartExercise extends AppCompatActivity {

    TextView name;
    TextView description;
    ImageView image;
    Button start;
    DBHelper myDbHelper;
    ArrayList<Exercise> list;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_start_exercise);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        Bundle b = getIntent().getExtras();
        name = (TextView) findViewById(R.id.exStartNameTextView);
        description = (TextView) findViewById(R.id.descStartExTextView);
        image = (ImageView) findViewById(R.id.exStartImageView);
        start = (Button) findViewById(R.id.exStartButton);
        start.setOnClickListener(startListener);
        nactiDatabase();
        gif();
        nacti();
    }

    View.OnClickListener startListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            if (b.getInt("counter") == 1) {
                Intent i = new Intent(StartExercise.this, PositionCounter.class);
                i.putExtra("value", b.getInt("value", 0));
                startActivityForResult(i, 2);
            }
            if (b.getInt("counter") == 2) {
                Intent i = new Intent(StartExercise.this, TouchCounter.class);
                i.putExtra("count", b.getInt("value", 0));
                i.putExtra("plan",1);
                startActivityForResult(i, 2);
            }
            if (b.getInt("counter") == 3) {
                Intent i = new Intent(StartExercise.this, StartPause.class);
                i.putExtra("time", b.getInt("value", 0));
                startActivityForResult(i, 2);
            }
        }
    };

    public void gif() {
        Bundle b = getIntent().getExtras();
        String exerciseImage = list.get(0).getImage();
        Ion.with(image)
                .error(R.drawable.cvik)
                .animateGif(AnimateGifMode.ANIMATE)
                .load("file:///android_asset/"+exerciseImage+".gif");
    }

    public void nacti() {
        Bundle b = getIntent().getExtras();
        name.setText(list.get(0).getName());
        description.setText(list.get(0).getDescription());
    }

    public void nactiDatabase(){
        Bundle b = getIntent().getExtras();
        int choice = b.getInt("exerciseID");
        myDbHelper = new DBHelper(this);
        list = myDbHelper.getExercises("SELECT * FROM exercise WHERE id='"+choice+"'");
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == 2) {
            if(resultCode == Activity.RESULT_OK){
                Bundle b = getIntent().getExtras();
                Intent returnIntent = new Intent();
                returnIntent.putExtra("lastPosition",b.getInt("position"));
                setResult(Activity.RESULT_OK,returnIntent);
                finish();
            }
            if (resultCode == Activity.RESULT_CANCELED) {
                //Write your code if there's no result
            }
        }
    }

}
