package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.media.MediaPlayer;
import android.os.CountDownTimer;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

public class StartPause extends AppCompatActivity {

    TextView timeText;
    MediaPlayer alarmBeep;
    DBHelper myDbHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_start_pause);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        init();
    }

    public void init() {
        Bundle b = getIntent().getExtras();
        timeText = (TextView) findViewById(R.id.pauseTimeTextView);
        alarmBeep = MediaPlayer.create(this,  R.raw.beep01);
        count(b.getInt("time"));
    }

    public boolean soundCheck() {
        myDbHelper = new DBHelper(this);
        return myDbHelper.getSound();
    }

    private void count(int t) {
        new CountDownTimer((t+1)*1000, 1000) {
            public void onTick(long time) {
                int m = (int) time/60000;
                long s = (time/1000)-(m*60);
                if(s<10)timeText.setText(m+":0"+s);
                else timeText.setText(m+":"+s);
                if(time < 4000 && soundCheck())alarmBeep.start();
            }
            public void onFinish() {
                Bundle b = getIntent().getExtras();
                Intent returnIntent = new Intent();
                returnIntent.putExtra("lastPosition",b.getInt("position", 0));
                setResult(Activity.RESULT_OK,returnIntent);
                finish();
            }
        }.start();
    }
}
