package com.example.andrew.bakalarkabeta;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.SystemClock;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Chronometer;
import android.widget.TextView;

import org.w3c.dom.Text;

public class Timer extends AppCompatActivity {

    Button chronoStartBut;
    Button chronoStopBut;
    Button chronoResetBut;
    Chronometer chrono;
    long timePause = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_timer);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        chronoStartBut = (Button) findViewById(R.id.chronoStart);
        chronoStopBut = (Button) findViewById(R.id.chronoStop);
        chronoResetBut = (Button) findViewById(R.id.chronoReset);
        chrono = (Chronometer) findViewById(R.id.chrono);
        chronoStartBut.setOnClickListener(start);
        chronoStopBut.setOnClickListener(stop);
        chronoResetBut.setOnClickListener(reset);
        chrono.setText("00:00");
        chronoStopBut.setEnabled(false);
        chronoResetBut.setEnabled(false);

    }

    View.OnClickListener start = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            chronoStart();
        }
    };

    View.OnClickListener stop = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            chronoStop();
        }
    };

    View.OnClickListener reset = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            chronoReset();
        }
    };

    private void chronoStart() {
        chrono.setBase(SystemClock.elapsedRealtime() + timePause);
        chrono.start();
        chronoStartBut.setEnabled(false);
        chronoStopBut.setEnabled(true);
        chronoResetBut.setEnabled(false);
    }

    private void chronoStop() {
        timePause = chrono.getBase() - SystemClock.elapsedRealtime();
        chrono.stop();
        chronoStartBut.setText("Continue");
        chronoStartBut.setEnabled(true);
        chronoStopBut.setEnabled(false);
        chronoResetBut.setEnabled(true);
    }

    private void chronoReset() {
        chrono.setText("00:00");
        timePause = 0;
        chronoStartBut.setText("Start");
        chronoStartBut.setEnabled(true);
        chronoStopBut.setEnabled(false);
        chronoResetBut.setEnabled(false);
    }



}
