package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.media.MediaPlayer;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class TouchCounter extends AppCompatActivity {

    int count;
    int startPoint;
    Button view;
    MediaPlayer alarmBeep;
    DBHelper myDbHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_touch_counter);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        init();
    }

    protected void init() {
        Bundle b = getIntent().getExtras();
        count = b.getInt("count",0);
        startPoint = b.getInt("count",0);
        view = (Button) findViewById(R.id.counterView);
        alarmBeep = MediaPlayer.create(this,  R.raw.beep01);
        view.setOnClickListener(clickListener);
        if(b.getInt("count") == 0){
            view.setText("Ale no tak!");
        }
        else view.setText("Začínáme na: "+count);

    }

    public boolean soundCheck() {
        myDbHelper = new DBHelper(this);
        return myDbHelper.getSound();
    }

    View.OnClickListener clickListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            if(view.getText().equals("Great") || view.getText().equals("Ale no tak!"))finish();
            if(count >= 1){
                --count;
                view.setText("Zbývá: "+count);
                if(count < 4 && soundCheck())alarmBeep.start();
            }
            if(startPoint != 0 && count == 0) {
                view.setText("Great");
                if (b.getInt("plan", 0) == 1) {
                    Intent returnIntent = new Intent();
                    setResult(Activity.RESULT_OK,returnIntent);
                    finish();
                }
            }
        }
    };
}
